JEIEvents.hideItems(event => {
	event.hide([
	'exnihilosequentia:acacia_sieve',
	'exnihilosequentia:spruce_sieve',
	'exnihilosequentia:crimson_sieve',
	'exnihilosequentia:jungle_sieve',
	'exnihilosequentia:dark_oak_sieve',
	'exnihilosequentia:birch_sieve',
	'exnihilosequentia:warped_sieve',
	'exnihilosequentia:mangrove_sieve',
	'gag:time_sand_pouch',
	'immersiveengineering:plate_copper',
	'create:copper_sheet',
	'mysticalagriculture:soulium_ingot',
	'mysticalagriculture:soulium_gemstone',
	'mysticalagriculture:soulium_seed_base',
	'twilightforest:uncrafting_table',
	'createaddition:gold_rod',
	'createaddition:copper_rod',
	'productivebees:expansion_box_bop_magic',
	'extendedcrafting:handheld_table',
	'cyclic:crafting_stick',
	'cyclic:crafting_bag',
	'exnihilosequentia:crimson_crucible',
	'exnihilosequentia:warped_crucible',
	'exmachinis:flux_compactor',
	'constructionwand:stone_wand',
	'ftbic:iron_furnace',
	'cyclic:compressed_cobblestone',
	'botania:apothecary_default',
	'botania:apothecary_forest',
	'botania:apothecary_plains',
	'botania:apothecary_mountain',
	'botania:apothecary_fungal',
	'botania:apothecary_swamp',
	'botania:apothecary_desert',
	'botania:apothecary_taiga',
	'botania:apothecary_mesa',
	'botania:apothecary_mossy',
	'botania:apothecary_deepslate',
	'ae2:logic_processor',
	'ae2:calculation_processor',
	'ae2:engineering_processor',
	'ae2:facade',
	'farmersdelight:rich_soil',
	'occultism:obsidian_dust',
	'ftbic:obsidian_dust',
	'ftbic:tin_dust',
	'easy_villagers:iron_farm',
	'easy_villagers:incubator',
	'ae2:silicon',
	'angelring:leadstone_angel_ring',
	'angelring:hardened_angel_ring',
	'angelring:reinforced_angel_ring',
	'angelring:resonant_angel_ring',
	'utilitix:experience_crystal',
	'easy_villagers:iron_farm',
	'easy_villagers:iron_farm',
	'pamhc2foodcore:fruitsaladitem',
	'thermal:ender_pearl_dust',
	'mekanism:dust_quartz',
	'ftbic:ender_dust',
	'create:powdered_obsidian',
	'ftbic:diamond_dust',
	'infused_crystals:chargerblock',
	'cyclic:crafter',
	'eliquary:rending_gale',
	'apotheosis:potion_charm',
	'cyclic:chorus_flight',
	'#pneumaticcraft:fluid_tanks',
	'ftbic:gold_wire',
	'ftbic:copper_wire',
	'ftbic:aluminum_wire',
	'kubejs:in_bloody_mechanism',
	'kubejs:in_creative_blaze_cake',
	'kubejs:in_starmetal_ingot',
	'kubejs:in_enriched_iron',
	'kubejs:in_rf_coil',
	'cyclic:soundproofing_ghost',
	'cyclic:obsidian_pressure_plate',
	'quark:gold_bars',
	'thermal:creosote_bucket',
	'cyclic:packager',
	'productivebees:configurable_honeycomb',
	'ad_astra:compressor',
	'compressium:soulsand_1',
	'botanicalmachinery:mana_emerald_block',
	'botanicalmachinery:mana_emerald',
	'ftbic:aluminum_plate',
	['solarflux:sp_6', 'solarflux:sp_7', 'solarflux:sp_8'],
	['thermal:potion_cake', 'thermal:chocolate_cake', 'thermal:carrot_cake', 'thermal:spice_cake'],
	'productivebees:advanced_bop_magic_beehive',
	['solarflux:sp_tf.fiery', 'solarflux:sp_tf.carminite', 'solarflux:photovoltaic_cell_4', 'solarflux:photovoltaic_cell_5', 'solarflux:photovoltaic_cell_6'],
	['moremekanismprocessing:crystal_ruby', 'moremekanismprocessing:shard_ruby', 'moremekanismprocessing:clump_ruby', 'moremekanismprocessing:dirty_dust_ruby', 'moremekanismprocessing:platinum_ingot', 'moremekanismprocessing:platinum_nugget', 'moremekanismprocessing:crystal_titanium', 'moremekanismprocessing:shard_titanium', 'moremekanismprocessing:clump_titanium', 'moremekanismprocessing:dust_titanium', 'moremekanismprocessing:titanium_ingot', 'moremekanismprocessing:titanium_nugget', 'moremekanismprocessing:crystal_bort', 'moremekanismprocessing:shard_bort', 'moremekanismprocessing:clump_bort', 'moremekanismprocessing:crystal_tungsten', 'moremekanismprocessing:shard_tungsten', 'moremekanismprocessing:clump_tungsten', 'moremekanismprocessing:dirty_dust_tungsten', 'moremekanismprocessing:tungsten_ingot', 'moremekanismprocessing:tungsten_nugget', 'moremekanismprocessing:dirty_dust_bort', 'moremekanismprocessing:dust_bort', 'moremekanismprocessing:gem_bort', 'moremekanismprocessing:crystal_sapphire', 'moremekanismprocessing:shard_sapphire', 'moremekanismprocessing:clump_sapphire', 'moremekanismprocessing:dirty_dust_sapphire', 'moremekanismprocessing:crystal_platinum', 'moremekanismprocessing:shard_platinum', 'moremekanismprocessing:clump_platinum', 'moremekanismprocessing:dust_platinum', 'moremekanismprocessing:dirty_dust_platinum'],
	['moremekanismprocessing:crystal_dilithium', 'moremekanismprocessing:shard_dilithium', 'moremekanismprocessing:clump_dilithium', 'moremekanismprocessing:dirty_dust_dilithium', 'moremekanismprocessing:dust_dilithium', 'moremekanismprocessing:gem_dilithium', 'moremekanismprocessing:crystal_peridot', 'moremekanismprocessing:shard_peridot', 'moremekanismprocessing:clump_peridot', 'moremekanismprocessing:dirty_dust_peridot', 'moremekanismprocessing:dust_peridot', 'moremekanismprocessing:gem_peridot', 'moremekanismprocessing:crystal_bismuth', 'moremekanismprocessing:shard_bismuth', 'moremekanismprocessing:clump_bismuth', 'moremekanismprocessing:dirty_dust_bismuth', 'moremekanismprocessing:dust_bismuth', 'moremekanismprocessing:bismuth_ingot', 'moremekanismprocessing:bismuth_nugget'],
	'thermal:coal_coke', 'thermal:coal_coke_block',
	'mekanism:cardboard_box',
	['ftbic:iridium_ore', 'ftbic:deepslate_iridium_ore'],
	'ftbic:uranium_dust',
	['ftbic:uranium_plate', 'ftbic:copper_plate'],
	'sophisticatedbackpacks:copper_backpack',
	['cyclic:copper_shovel','cyclic:copper_pickaxe'],
	['cyclic:spikes_iron', 'cyclic:spikes_diamond', 'mob_grinding_utils:tank', 'mob_grinding_utils:jumbo_tank', 'mob_grinding_utils:entity_spawner','cyclic:collector'],
	['integratedcrafting:part_interface_crafting', 'integratedcrafting:part_crafting_writer', 'occultism:storage_controller'],
	['sophisticatedstorage:stack_upgrade_tier_1_plus', 'sophisticatedbackpacks:stack_upgrade_starter_tier', Item.of('sophisticatedstorage:copper_barrel'), Item.of('sophisticatedstorage:copper_chest')],
	[ Item.of('sophisticatedstorage:limited_copper_barrel_1'), Item.of('sophisticatedstorage:limited_copper_barrel_2'),Item.of('sophisticatedstorage:limited_copper_barrel_3'),Item.of('sophisticatedstorage:limited_copper_barrel_4'), Item.of('sophisticatedstorage:copper_shulker_box')],
	['rftoolspower:cell1', 'rftoolspower:cell2', 'rftoolspower:cell3', 'rftoolspower:power_core1', 'rftoolspower:power_core3', 'rftoolspower:power_core2'],
	['createendertransmission:chunk_loader', 'createendertransmission:item_transmitter', 'createendertransmission:fluid_transmitter'],
	'refinedstorage:creative_storage_disk', 'refinedstorage:creative_fluid_storage_disk',
	['engineersdecor:small_solar_panel', 'cyclic:generator_solar', 'powah:solar_panel_starter', 'powah:solar_panel_basic', 'powah:solar_panel_hardened', 'powah:solar_panel_blazing', 'powah:solar_panel_niotic', 'powah:solar_panel_spirited', 'powah:solar_panel_nitro'],
	,
	,
	
	])
	
	
	
	event.hide(/botanypotstiers:(?!elite_terracotta_botany_pot|elite_terracotta_hopper_botany_pot|ultra_terracotta_botany_pot|ultra_terracotta_hopper_botany_pot|creative_terracotta_botany_pot|creative_terracotta_hopper_botany_pot)/)
	event.hide(/botanicalmachinery:(?!mechanical_apothecary|mechanical_runic_altar|mana_battery|industrial_agglomeration_factory)/)
	event.hide({"type": "forge:nbt","item": "ironjetpacks:jetpack","count": 1,"nbt": "{Id:\"ironjetpacks:wood\",Throttle:1.0d}"})
	event.hide({"type": "forge:nbt","item": "ironjetpacks:jetpack","count": 1,"nbt": "{Id:\"ironjetpacks:copper\",Throttle:1.0d}"})
	event.hide({"type": "forge:nbt","item": "ironjetpacks:jetpack","count": 1,"nbt": "{Id:\"ironjetpacks:bronze\",Throttle:1.0d}"})
	event.hide({"type": "forge:nbt","item": "ironjetpacks:jetpack","count": 1,"nbt": "{Id:\"ironjetpacks:silver\",Throttle:1.0d}"})
	event.hide({"type": "forge:nbt","item": "ironjetpacks:jetpack","count": 1,"nbt": "{Id:\"ironjetpacks:electrum\",Throttle:1.0d}"})
	event.hide({"type": "forge:nbt","item": "ironjetpacks:jetpack","count": 1,"nbt": "{Id:\"ironjetpacks:invar\",Throttle:1.0d}"})
	event.hide({"type": "forge:nbt","item": "ironjetpacks:jetpack","count": 1,"nbt": "{Id:\"ironjetpacks:steel\",Throttle:1.0d}"})
	event.hide({"type": "forge:nbt","item": "ironjetpacks:jetpack","count": 1,"nbt": "{Id:\"ironjetpacks:platinum\",Throttle:1.0d}"})
	})


ItemEvents.tooltip(event => {



	//Tooltips
	event.add('exnihilosequentia:birch_sieve', [[Text.of('Disabled. Use Oak Sieve Instead.').darkRed()],])
	event.add('exnihilosequentia:acacia_sieve', [[Text.of('Disabled. Use Oak Sieve Instead.').darkRed()],])
	event.add('exnihilosequentia:dark_oak_sieve', [[Text.of('Disabled. Use Oak Sieve Instead.').darkRed()],])
	event.add('exnihilosequentia:jungle_sieve', [[Text.of('Disabled. Use Oak Sieve Instead.').darkRed()],])
	event.add('exnihilosequentia:crimson_sieve', [[Text.of('Disabled. Use Oak Sieve Instead.').darkRed()],])
	event.add('exnihilosequentia:spruce_sieve', [[Text.of('Disabled. Use Oak Sieve Instead.').darkRed()],])
	event.add('exnihilosequentia:warped_sieve', [[Text.of('Disabled. Use Oak Sieve Instead.').darkRed()],])
	event.add('evilcraft:blood_infuser', [[Text.of('We need some blood to do magic.').darkRed()],])
	event.add('immersiveengineering:plate_aluminum', [[Text.of('Actually it is aluminum, not aluminium.').darkGray()],])
	event.add('kubejs:devilish_horn', [[Text.of('I love you, with my all heart.').darkGray()],])
	event.add('kubejs:devilish_horn', [[Text.of('No matter what.').darkGray()],])
	event.add('kubejs:reinforced_obsidian', [[Text.of('Actually Witherproof and Dragonproof').green()],])

	event.add('pipez:basic_upgrade',  [[Text.of('§aItem:§f 8 Items/15t')],[Text.of('§bFluid:§f 100 mB/t').gray()], [Text.of('§5Gas:§f 400 mB/t').gray()], [Text.of('§6Energy:§f 1024 FE/t').gray()]])
	event.add('pipez:improved_upgrade',  [[Text.of('§aItem:§f 16 Items/10t').gray()],[Text.of('§bFluid:§f 500 mB/t').gray()], [Text.of('§5Gas:§f 2000 mB/t').gray()], [Text.of('§6Energy:§f 8192 FE/t').gray()]])
	event.add('pipez:advanced_upgrade',  [[Text.of('§aItem:§f 32 Items/5t').gray()],[Text.of('§bFluid:§f 2000 mB/t').gray()], [Text.of('§5Gas:§f 8000 mB/t').gray()], [Text.of('§6Energy:§f 32,768 FE/t').gray()]])
	event.add('pipez:ultimate_upgrade',  [[Text.of('§aItem:§f 64 Items/t').gray()],[Text.of('§bFluid:§f 10000 mB/t').gray()], [Text.of('§5Gas:§f 40000 mB/t').gray()], [Text.of('§6Energy:§f 131,072 FE/t').gray()]])
	event.add('pipez:infinity_upgrade',  [[Text.of('§aItem, §bFluid, §5Gas, §6Energy:§f Bro... Read the name of the upgrade').gray()]])
	event.add('mob_grinding_utils:gm_chicken_feed_cursed', [[Text.of('Use Drop Of Evil Instead.').green()],])

	event.add(['ftbic:iridium_chunk', 'ftbic:iridium_ingot', 'kubejs:end_iridium', 'ftbic:iridium_ore', 'ftbic:deepslate_iridium_ore'], [[Text.of('You can find your first iridium by mining Iridium ore in the end.').green()],])


	event.add('vanillaaiots:wooden_aiot', [[Text.of('§b\uD83D\uDD25§r Repairs tool when in Soul Fire')],])
	event.add('thermal:energy_duct', [[Text.of('§aTransfers unlimited FE/t.')],])
	event.add('cyclic:disenchanter', ['Disenchanter is §4disabled.§f Use §9Enchantment Extractor§f instead.'])

	event.add(['mob_grinding_utils:saw_upgrade_arthropod', 'mob_grinding_utils:saw_upgrade_beheading', 'mob_grinding_utils:saw_upgrade_fire', 'mob_grinding_utils:saw_upgrade_looting', 'mob_grinding_utils:saw_upgrade_sharpness', 'mob_grinding_utils:saw_upgrade_smite'], [[Text.of('§6Max of 5.')],])
	
	event.add(['minecraft:spectral_arrow', 'minecraft:fire_charge', 'minecraft:obsidian', 'minecraft:gravel', 'minecraft:crying_obsidian', 'minecraft:soul_sand', 'minecraft:quartz', 'minecraft:string', 'minecraft:nether_brick', 'minecraft:blackstone', 'minecraft:leather', 'minecraft:ender_pearl'], ['§5Can be obtained through Piglin Bartering'])

	//Removing Tooltips
	event.addAdvanced('ars_nouveau:source_gem', (item, advanced, text) => {
		text.remove(1)
	})

	event.addAdvanced('mob_grinding_utils:rotten_egg', (item, advanced, text) => {
		text.remove(1),
		text.remove(2),
		text.remove(1),
		text.remove(2)
	})

	event.addAdvanced(['mob_grinding_utils:saw_upgrade_arthropod', 'mob_grinding_utils:saw_upgrade_beheading', 'mob_grinding_utils:saw_upgrade_fire', 'mob_grinding_utils:saw_upgrade_looting', 'mob_grinding_utils:saw_upgrade_sharpness', 'mob_grinding_utils:saw_upgrade_smite'], (item, advanced, text) => {
		text.remove(1)
	})

	event.addAdvanced('mob_grinding_utils:dreadful_dirt', (item, advanced, text) => {
		text.remove(1),
		text.remove(2),
		text.remove(3),
		text.remove(1),
		text.remove(2),
		text.remove(3),
		text.remove(1),
		text.remove(2),
		text.remove(3),
		text.remove(1),
		text.remove(2),
		text.remove(3)
	})

	event.addAdvanced('mob_grinding_utils:gm_chicken_feed_cursed', (item, advanced, text) => {
		text.remove(1),
		text.remove(2),
		text.remove(1),
		text.remove(2)
	})


  })
  

JEIEvents.information(event =>{
	event.addItem('deeperdarker:heart_of_the_deep', ['If you dont want to spend tons of mana to duplicate hearts, you can get the Warden spawn egg with mob grinding utils and put it in the spawner. It will work.'])
	event.addItem('kubejs:arcane_ore', ['MaxY: 96, MinY: -32'])
	event.addItem('naturesaura:gold_leaf', ['To get this, right click on a tree leaf with brilliant fiber. It will spread over time. When the color of the leaf turns golden yellow, you can break it and obtain golden leaf.'])
	event.addItem('thermal:blizz_powder', ['Blizz Powder can now also be crafted with Fluid Encapsulator. Dont overlook this. You can still hunt the blizz mob as well.'])
	event.addItem('thermal:blitz_powder', ['Blitz Powder can now also be crafted with Fluid Encapsulator. Dont overlook this. You can still hunt the blitz mob as well.'])
	event.addItem('thermal:basalz_powder', ['Basalz Powder can now also be crafted with Fluid Encapsulator. Dont overlook this. You can still hunt the basalz mob as well.'])
	event.addItem('botania:ender_air_bottle', ['You can still get the Ender Air Bottle in The End dimension. Metallurgic infuser recipe added as an alternative.'])
	event.addItem('capsule:capsulemarker', ['Disabled.'])
	event.addItem('notenoughwands:acceleration_wand', ['Disabled.'])
	event.addItem('ftbic:antimatter', ['It Is Produced In The Antimatter Constructor.'])
	event.addItem('fluxnetworks:flux_dust', ['You need to craft Flux Dust at least once in bedrock before crafting it in the metallurgic infuser.'])
	event.addItem('immersiveengineering:storage_steel', ['Use Steel Block From Thermal Series Instead. It will serve the same function.'])
	event.addItem('functionalstorage:creative_vending_upgrade', ['When You Put The §dVending Upgrade§0 Into A Drawer That Has A Vending Upgrade In It, You Will Have Unlimited §dVending Upgrades§0. So, Giving 2 In The Recipe Was Actually Enough. But I Gave 64 Per Recipe Just For Fun.'])


 })

 JEIEvents.hideFluids(event => {
    event.hide([
       Fluid.of("thermal:creosote"),
	   Fluid.of("thermal:creosote_flowing")
    ]);
})

JEIEvents.hideFluids(event => {
    event.hide([
    "thermal:creosote",
	"thermal:creosote_flowing"
    ]);
})



JEIEvents.hideItems(event => {
	event.hide(Item.of('mekanism:creative_fluid_tank'))
	event.hide(Item.of('mekanism:creative_chemical_tank'))
	event.hide(Item.of('evilcraft:dark_tank'))
	event.hide(['create_sa:creative_filling_tank', 'arseng:creative_source_cell', 'createaddition:creative_energy', 'simplesponge:creative_sponge', Item.of('simplesponge:compressed_creative_sponge_on_a_stick', '{Damage:0}'), Item.of('simplesponge:creative_sponge_on_a_stick', '{Damage:0}'), 'appbot:creative_mana_cell', 'appmek:creative_chemical_cell', 'ae2:creative_fluid_cell', 'botanicalmachinery:mana_battery_creative', 'stevescarts:upgrade_creative_mode', 'stevescarts:module_creative_hull', 'stevescarts:module_creative_engine', 'ae2:creative_item_cell', 'ae2:creative_energy_cell', 'rftoolspower:dimensionalcell_creative', 'thermal:machine_catalyst_creative_augment', 'thermal:machine_efficiency_creative_augment', 'thermal:fluid_tank_creative_augment', 'thermal:rf_coil_creative_augment', 'theoneprobe:creativeprobe', 'refinedstorageaddons:creative_wireless_crafting_grid', 'refinedstorage:creative_wireless_crafting_monitor', 'refinedstorage:creative_wireless_fluid_grid', 'refinedstorage:creative_wireless_grid', 'refinedstorage:creative_fluid_storage_block', 'refinedstorage:creative_storage_block', 'rftoolsutility:creative_screen', 'pneumaticcraft:creative_compressor', 'mysticalagriculture:creative_soulium_dagger', 'pneumaticcraft:creative_upgrade', Item.of('modularrouters:creative_module', '{modularrouters:{ModuleFilter:{}}}'), 'powah:energy_cell_creative', 'immersiveengineering:capacitor_creative'
,['ars_nouveau:creative_spell_book', 'botania:lens_storm', 'botania:infrangible_platform', 'botania:corporea_spark_creative', 'buildinggadgets:construction_paste_container_creative', 'create:creative_crate', 'create:handheld_worldshaper', 'cyclic:battery_infinite', 'evilcraft:creative_blood_drop', 'bigreactors:reinforced_reactorcreativewatergenerator', 'bigreactors:reinforced_turbinecreativesteamgenerator', 'bigreactors:basic_turbinecreativesteamgenerator', 'hexerei:creative_waxing_kit', 'integrateddynamics:energy_battery_creative', 'mekanism:creative_bin', 'create:creative_fluid_tank', 'pneumaticcraft:creative_compressed_iron_block', 'refinedstorage:creative_portable_grid', 'refinedstorage:creative_controller', 'refinedstorage:white_creative_controller', 'refinedstorage:orange_creative_controller', 'refinedstorage:blue_creative_controller', 'refinedstorage:purple_creative_controller', 'refinedstorage:cyan_creative_controller', 'refinedstorage:light_gray_creative_controller', 'refinedstorage:gray_creative_controller', 'refinedstorage:pink_creative_controller', 'refinedstorage:lime_creative_controller', 'refinedstorage:yellow_creative_controller', 'refinedstorage:magenta_creative_controller', 'refinedstorage:brown_creative_controller', 'refinedstorage:green_creative_controller', 'refinedstorage:red_creative_controller', 'refinedstorage:black_creative_controller', 'create_sa:creative_filling_tank', 'ftbic:creative_battery']      ])







   })


   JEIEvents.addItems(event => {

    //! Mekanism
    event.add(Item.of('mekanism:creative_fluid_tank'))
	event.add(Item.of('mekanism:creative_chemical_tank'))
	event.add(Item.of('evilcraft:dark_tank'))

})

